# Uses of Class
org.eclipse.core.runtime.jobs.ProgressProvider

Packages that use ProgressProvider
Package
Description
org.eclipse.core.runtime.jobs
Provides core support for scheduling and interacting with background activity.

## Uses of ProgressProvider in org.eclipse.core.runtime.jobs

Methods in org.eclipse.core.runtime.jobs with parameters of type ProgressProvider
Modifier and Type
Method
Description
`void`
IJobManager.`setProgressProvider(ProgressProvider provider)`
Registers a progress provider with the job manager.